<?php 

	$plumbing_agency_custom_style = '';

	// Logo Size
	$plumbing_agency_logo_top_padding = get_theme_mod('plumbing_agency_logo_top_padding');
	$plumbing_agency_logo_bottom_padding = get_theme_mod('plumbing_agency_logo_bottom_padding');
	$plumbing_agency_logo_left_padding = get_theme_mod('plumbing_agency_logo_left_padding');
	$plumbing_agency_logo_right_padding = get_theme_mod('plumbing_agency_logo_right_padding');

	if( $plumbing_agency_logo_top_padding != '' || $plumbing_agency_logo_bottom_padding != '' || $plumbing_agency_logo_left_padding != '' || $plumbing_agency_logo_right_padding != ''){
		$plumbing_agency_custom_style .=' .logo {';
			$plumbing_agency_custom_style .=' padding-top: '.esc_attr($plumbing_agency_logo_top_padding).'px; padding-bottom: '.esc_attr($plumbing_agency_logo_bottom_padding).'px; padding-left: '.esc_attr($plumbing_agency_logo_left_padding).'px; padding-right: '.esc_attr($plumbing_agency_logo_right_padding).'px;';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_logo_size = get_theme_mod('plumbing_agency_logo_size');
	if( $plumbing_agency_logo_size != '') {
		if($plumbing_agency_logo_size == 100) {
			$plumbing_agency_custom_style .=' .custom-logo-link img {';
				$plumbing_agency_custom_style .=' width: 350px;';
			$plumbing_agency_custom_style .=' }';
		} else if($plumbing_agency_logo_size >= 10 && $plumbing_agency_logo_size < 100) {
			$plumbing_agency_custom_style .=' .custom-logo-link img {';
				$plumbing_agency_custom_style .=' width: '.esc_attr($plumbing_agency_logo_size).'%;';
			$plumbing_agency_custom_style .=' }';
		}
	}

	// Header Image
	$header_image_url = plumbing_agency_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$plumbing_agency_custom_style .=' #inner-pages-header {';
			$plumbing_agency_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$plumbing_agency_custom_style .=' }';
	} else {
		$plumbing_agency_custom_style .=' #inner-pages-header {';
			$plumbing_agency_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_hide_show = get_theme_mod('plumbing_agency_slider_hide_show',false);
	if( $plumbing_agency_slider_hide_show == true){
		$plumbing_agency_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$plumbing_agency_custom_style .=' display:none;';
		$plumbing_agency_custom_style .=' }';
	}

	//site title tagline
	$plumbing_agency_site_title_color = get_theme_mod('plumbing_agency_site_title_color');
	if ( $plumbing_agency_site_title_color != '') {
		$plumbing_agency_custom_style .=' h1.site-title a, p.site-title a{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_site_title_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_site_tagline_color = get_theme_mod('plumbing_agency_site_tagline_color');
	if ( $plumbing_agency_site_tagline_color != '') {
		$plumbing_agency_custom_style .=' p.site-description{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_site_tagline_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	//layout width
	$plumbing_agency_boxfull_width = get_theme_mod('plumbing_agency_boxfull_width');
	if ($plumbing_agency_boxfull_width !== '') {
		switch ($plumbing_agency_boxfull_width) {
			case 'container':
				$plumbing_agency_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$plumbing_agency_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$plumbing_agency_dropdown_anim = get_theme_mod('plumbing_agency_dropdown_anim');

	if ( $plumbing_agency_dropdown_anim != '') {
		$plumbing_agency_custom_style .=' .nav-menu ul ul {';
			$plumbing_agency_custom_style .=' animation:'.esc_attr($plumbing_agency_dropdown_anim).' 1s ease;';
		$plumbing_agency_custom_style .=' }';
	}

	//header color
	$plumbing_agency_email_color = get_theme_mod('plumbing_agency_email_color');
	if ( $plumbing_agency_email_color != '') {
		$plumbing_agency_custom_style .=' #header .email a{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_email_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_social_color = get_theme_mod('plumbing_agency_social_color');
	$plumbing_agency_socialbg_color = get_theme_mod('plumbing_agency_socialbg_color');
	if ( $plumbing_agency_social_color != '') {
		$plumbing_agency_custom_style .=' #header .social-icons a i{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_social_color).'; background-color:'.esc_attr($plumbing_agency_socialbg_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_menu_color = get_theme_mod('plumbing_agency_menu_color');
	if ( $plumbing_agency_menu_color != '') {
		$plumbing_agency_custom_style .=' .nav-menu ul li a{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_menu_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_submenu_color = get_theme_mod('plumbing_agency_submenu_color');
	$plumbing_agency_submenubg_color = get_theme_mod('plumbing_agency_submenubg_color');
	if ( $plumbing_agency_submenu_color != '') {
		$plumbing_agency_custom_style .=' .nav-menu ul ul a{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_submenu_color).'; background-color:'.esc_attr($plumbing_agency_submenubg_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	//Slider Color
	$plumbing_agency_slider_font_size = get_theme_mod('plumbing_agency_slider_font_size');
	if ( $plumbing_agency_slider_font_size != '') {
		$plumbing_agency_custom_style .=' #slider h2{';
			$plumbing_agency_custom_style .=' font-size:'.esc_attr($plumbing_agency_slider_font_size).'px;';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_text_font_size = get_theme_mod('plumbing_agency_slider_text_font_size');
	if ( $plumbing_agency_slider_text_font_size != '') {
		$plumbing_agency_custom_style .=' #slider p{';
			$plumbing_agency_custom_style .=' font-size:'.esc_attr($plumbing_agency_slider_text_font_size).'px;';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_title_color = get_theme_mod('plumbing_agency_slider_title_color');
	if ( $plumbing_agency_slider_title_color != '') {
		$plumbing_agency_custom_style .=' #slider h2{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_slider_title_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_title_color = get_theme_mod('plumbing_agency_slider_title_color');
	if ( $plumbing_agency_slider_title_color != '') {
		$plumbing_agency_custom_style .=' #slider h2{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_slider_title_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_text_color = get_theme_mod('plumbing_agency_slider_text_color');
	if ( $plumbing_agency_slider_text_color != '') {
		$plumbing_agency_custom_style .=' #slider p{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_slider_text_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_btn_color = get_theme_mod('plumbing_agency_slider_btn_color');
	if ( $plumbing_agency_slider_btn_color != '') {
		$plumbing_agency_custom_style .=' #slider .sbtn1, #slider .sbtn2{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_slider_btn_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_btnbg_color = get_theme_mod('plumbing_agency_slider_btnbg_color');
	if ( $plumbing_agency_slider_btnbg_color != '') {
		$plumbing_agency_custom_style .=' #slider .sbtn2{';
			$plumbing_agency_custom_style .=' background-color:'.esc_attr($plumbing_agency_slider_btnbg_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_slider_npbtn_color = get_theme_mod('plumbing_agency_slider_npbtn_color');
	if ( $plumbing_agency_slider_npbtn_color != '') {
		$plumbing_agency_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i{';
			$plumbing_agency_custom_style .=' color:'.esc_attr($plumbing_agency_slider_npbtn_color).'; border-color:'.esc_attr($plumbing_agency_slider_npbtn_color).';';
		$plumbing_agency_custom_style .=' }';
	}

	//service css
	$plumbing_agency_serviceheading_font_size = get_theme_mod('plumbing_agency_serviceheading_font_size');
	if ( $plumbing_agency_serviceheading_font_size != '') {
		$plumbing_agency_custom_style .=' #service-section h3{';
			$plumbing_agency_custom_style .=' font-size:'.esc_attr($plumbing_agency_serviceheading_font_size).'px;';
		$plumbing_agency_custom_style .=' }';
	}

	$plumbing_agency_servicesubheading_font_size = get_theme_mod('plumbing_agency_servicesubheading_font_size');
	if ( $plumbing_agency_servicesubheading_font_size != '') {
		$plumbing_agency_custom_style .=' #service-section h6{';
			$plumbing_agency_custom_style .=' font-size:'.esc_attr($plumbing_agency_servicesubheading_font_size).'px;';
		$plumbing_agency_custom_style .=' }';
	}